## Name

pkcs11-destroy — destroy PKCS#11 objects

## Synopsis

`pkcs11-destroy` [`-m `module``] [`-s `slot``] { -i `ID` | -l `label` } [`-p `PIN``]

## DESCRIPTION

pkcs11-destroy destroys keys stored in a PKCS#11 device, identified by their `ID` or `label`.

Matching keys are displayed before being destroyed. There is a five second delay to allow the user to interrupt the process before the destruction takes place.

## ARGUMENTS

-m `module`

  Specify the PKCS#11 provider module. This must be the full path to a shared library object implementing the PKCS#11 API for the device.

-s `slot`

  Open the session with the given PKCS#11 slot. The default is slot 0.

-i `ID`

  Destroy keys with the given object ID.

-l `label`

  Destroy keys with the given label.

-p `PIN`

  Specify the PIN for the device. If no PIN is provided on the command line, pkcs11-destroy will prompt for it.

## SEE ALSO

pkcs11-list(3), pkcs11-keygen(3)

## AUTHOR

Internet Systems Consortium